/*
 Project: L293D motor driver shield, 2 stepper motors
 Function: Controlling 2 stepper motors
 */
//***********************************************************
#include <AFMotor.h>//include library code
//************************************************************
AF_Stepper motor1(2048, 1);//define the parameters of stepper motor 1
AF_Stepper motor2(2048, 2);//define the parameters of stepper motor 2
//************************************************************
void setup() {
Serial.begin(9600); //initialize serial communications at 9600 bps
Serial.println("Stepper motors test!");//prints message in Serial monitor
motor1.setSpeed(10);//defines the speed of rotation (rpm - revolutions per minute) of motor 1
motor2.setSpeed(10);//defines the speed of rotation (rpm - revolutions per minute) of motor 2

//Use FORWARD to clockwise (CW), BACKWARD for counterclockwise (CCW)
motor1.step(100, FORWARD, SINGLE);//move the stepper motor 1 100 steps CW with single-coil activation
motor1.release();//release the stepper motor 1
delay (10);//sets delay for 10 ms
motor2.step(100, FORWARD, SINGLE);//move the stepper motor 2 100 steps CW with single-coil activation
motor2.release();//release the stepper motor 2
delay(1000);//sets delay for 1 second
} 
void loop() {
Serial.print ("Operate stepper motor 1");//prints message at Serial Monitor
motor1.step(100, FORWARD, SINGLE);
motor1.step(100, BACKWARD, SINGLE);
motor1.step(100, FORWARD, DOUBLE);
motor1.step(100, BACKWARD, DOUBLE);
motor1.step(100, FORWARD, INTERLEAVE);
motor1.step(100, BACKWARD, INTERLEAVE);
motor1.step(100, FORWARD, MICROSTEP);
motor1.step(100, BACKWARD, MICROSTEP);
delay (10);//sets delay for 10 ms
Serial.print ("Operate stepper motor 2");//prints message at Serial Monitor
motor2.step(100, BACKWARD, SINGLE);
motor2.step(100, FORWARD, SINGLE);
motor2.step(100, BACKWARD, DOUBLE);
motor2.step(100, FORWARD, DOUBLE);
motor2.step(100, BACKWARD, INTERLEAVE);
motor2.step(100, FORWARD, INTERLEAVE);
motor1.step(100, BACKWARD, MICROSTEP);
motor2.step(100, FORWARD, MICROSTEP);
delay (1000);//sets delay for 1 second
}
